Page MenuHomePhabricator

Put an opt-out for the New Filters onto the current (unconsolidated) RC Preferences page
Closed, ResolvedPublic

Description

When beta graduation happens for RC page, we will let users opt out of the new UX if they want. Since beta graduation for RC page will happen BEFORE Preference Consolidation (tracking task T172350), we need to put the opt-out function onto the OLD Recent Changes preferences page (and then move it to the consolidated preferences when we consolidate).

Functionality

After beta graduation for RC page, a new preference for "Hide the improved version of Recent Changes" will be displayed on the old-style RC page preferences page. When a user selects this:

  • RC page is rolled back to the pre-beta version.
  • If the user had a Saved Filter default in the new UX, we will NOT attempt to map that back to the user's old preferences. (The user loses his Saved Filters along with all the other benefits of the new UX.)
  • However, if the user previously had the ORES beta, any ORES preferences will be re-established.

Layout and wording

  • Wording for the new opt-out is as follows:
    • Main option text: Hide the improved version of Recent Changes
    • Subtitle/description in small, gray font: Rolls back the 2017 interface redesign and removes all tools added then and since.
  • Layout: The new option will be grouped with the Advanced Options; a blank vertical space separates this decisive choice from the list of minor display preferences above it. See the screenshot below. [Apparently not possible. Design changed and new spec moved to T175765]

We discussed temporary translations:

  • ca
    • "Opt out of improvements" (section title) -
    • "Hide the improved version of Recent Changes" (option) -
    • "Rolls back the 2017 interface redesign and all tools added then and since." (note) -
  • fr
    • "Opt out of improvements" (section title) - "Se désabonner"?
  • he
    • "Opt out of improvements" (section title) -

Related Objects

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald Transcript
jmatazzoni renamed this task from Consider to provide a fallback option to the original page setup/layout for pages that will receive Integrated Filters to Enable users to opt out of the New Filters once they graduate out of beta.Jul 24 2017, 5:45 PM
Mattflaschen-WMF renamed this task from Enable users to opt out of the New Filters once they graduate out of beta to Consider to provide a fallback option to the original page setup/layout for pages that will receive the new RC Filters.Jul 24 2017, 5:45 PM
Mattflaschen-WMF updated the task description. (Show Details)
Mattflaschen-WMF renamed this task from Consider to provide a fallback option to the original page setup/layout for pages that will receive the new RC Filters to Enable users to opt out of the New Filters once they graduate out of beta.Jul 24 2017, 5:46 PM
Mattflaschen-WMF removed jmatazzoni as the assignee of this task.
jmatazzoni renamed this task from Enable users to opt out of the New Filters once they graduate out of beta to Put an opt-out for the New Filters onto the current (unconsolidated) RC Preferences page .Aug 17 2017, 12:36 AM
jmatazzoni removed jmatazzoni as the assignee of this task.
jmatazzoni updated the task description. (Show Details)

I think we'll want to add a feature flag that puts RCFilters in either beta mode or default mode. That would make it easier to roll out the beta graduation to different wikis over the course of several weeks, as we plan to do.

Change 373384 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/core@master] Provide an opt-out preference for New Filters for RecentChanges

https://gerrit.wikimedia.org/r/373384

Change 373384 merged by jenkins-bot:
[mediawiki/core@master] Provide an opt-out preference for New Filters for RecentChanges

https://gerrit.wikimedia.org/r/373384

I see that the layout as shown above was not implemented. Roan says it's probably not possible, so I've crossed out that requirement above and created a new subtask for the design in T175765.

Etonkovidova added a subscriber: Etonkovidova.EditedSep 12 2017, 11:44 PM

Checked in betalabs

QA Recommendation: Resolve

@Jdforrester-WMF, will it be relatively easy for us to get data on the users take us up on this opt out? E.g., how many are there, on which wikis, when... etc.? Also, will there be a way to follow up and find out why people opted out?

If these things will not be possible by default, how hard is it to make it so we can do them? Should I write a subtask?

@Jdforrester-WMF, will it be relatively easy for us to get data on the users take us up on this opt out? E.g., how many are there, on which wikis, when... etc.?

Yes, trivial to manually pull this from the DB (though it's not actively monitored, so we won't see this over time; if you want a dashboard of this it's a bit more work).

Also, will there be a way to follow up and find out why people opted out?

Well, we'll know who they are, but that's private data (settings are private) so we can't e.g. ask them on their talk pages why they didn't like it. We could theoretically give them a pop-up asking why, but if they don't like new things that's likely to make them unhappy too.

jmatazzoni closed this task as Resolved.Sep 14 2017, 3:47 PM